KONEPLUSCONTROL(1)

NAME
konepluscontrol - a tool to control the extended capabilities of a Roccat Kone[+] mouse

SYNOPSIS
konepluscontrol [ -fhpv ] [ -a NUMBER ] [ -l NUMBER ] [ -r FILENAME ] [ -s NUMBER ] [ -w FILENAME ] [ --activate-profile=NUMBER ] [ --actual-profile ] [ --help ] [ --load=NUMBER ] [ --path ] [ --read-firmware ] [ --read-rmp=FILENAME ] [ --reset ] [ --save=NUMBER ] [ --sensor-read ] [ --sensor-register=NUMBER ] [ --sensor-write=VALUE ] [ --version ] [ --write-rmp=FILENAME ]

DESCRIPTION
This console application lets you modify profiles of a Roccat Kone[+] mouse.

OPTIONS

-h, --help
    Give the help list.

-a, --activate-profile=NUMBER
    Activates the given profile. Please mind that this permanently sets the startup profile. That means the given profile will be active each time the Kone[+] starts up.

--actual-profile
    Returns the number of the active profile.

-f, --read-firmware
    Returns the firmware version of the Kone[+].

-l, --load=NUMBER
    Loads the profile from mouse and deposits it in memory. If they differ a warning is given and the mouse profile is used further.

-p, --path
    Returns the sysfs-path.

-r, --read-rmp=FILENAME
    Reads an rmp-file into memory.

--reset
    Resets the device to factory default settings.

-s, --save=NUMBER
    Saves the profile from memory to mouse and deposit.

--sensor-read
    Reads a value from sensors register given with --sensor-register.

--sensor-register
    Selects a sensor register for reading and writing.

--sensor-write=VALUE
    Write the given value in the sensor register given with --sensor-register.

-v, --version
    Print program version.

-w, --write-rmp=FILENAME
    Writes the profile from memory as rmp-file.

EXAMPLES

konepluscontrol -r profile.rmp -s 1
    Reads the profile from file profile.rmp and saves the result as profile number 1 in the mouse and the deposited profile.

konepluscontrol --sensor-register 0x2a --sensor-read
    Reads SROM_ID from the sensor.

AUTHOR
Stefan Achatz <erazor_de@users.sourceforge.net>